package openssh-4.7p1 configure.ac improperly fails to recognize getseuserbyname and get_default_context_with_level

Bug #188136 reported by Caleb Case on 2008-02-01
4
Affects Status Importance Assigned to Milestone
openssh (Ubuntu)
Undecided
Colin Watson

Bug Description

The configure.am script doesn't add -lselinux to LIBS before it checks for the existence of getseuserbyname and get_default_context_with_level using AC_CHECK_FUNCS. This results in the functions not being found even if they do exist and the seusers configuration not being handled correctly. Most policies use the seusers feature and without it proper support for SELinux won't be possible in Hardy (specifically, login security contexts will not be correct). I've attached a debdiff below (an updated package is also in my PPA: https://launchpad.net/~calebcase/+archive).

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"

Source package:
openssh-4.7p1

Binary package:
+++-====================================-===========================-============================================
ii openssh-server 1:4.7p1-2 secure shell server, an rshd replacement

Caleb Case (calebcase) wrote :
Colin Watson (cjwatson) wrote :

Thanks; I've applied a very similar patch (just some formatting tweaks) to my Debian tree for my next upload.

Changed in openssh:
assignee: nobody → kamion
status: New → Fix Committed

Thanks!

On Feb 4, 2008 4:47 AM, Colin Watson <email address hidden> wrote:
> Thanks; I've applied a very similar patch (just some formatting tweaks)
> to my Debian tree for my next upload.
>
> ** Changed in: openssh (Ubuntu)
> Assignee: (unassigned) => Colin Watson (kamion)
> Status: New => Fix Committed
>
>
> --
> package openssh-4.7p1 configure.ac improperly fails to recognize getseuserbyname and get_default_context_with_level
> https://bugs.launchpad.net/bugs/188136
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openssh - 1:4.7p1-4ubuntu1

---------------
openssh (1:4.7p1-4ubuntu1) hardy; urgency=low

  * Add support for registering ConsoleKit sessions on login.

openssh (1:4.7p1-4) unstable; urgency=low

  [ Caleb Case ]
  * Fix configure detection of getseuserbyname and
    get_default_context_with_level (closes: #465614, LP: #188136).

  [ Colin Watson ]
  * Include the autogenerated debian/copyright in the source package.
  * Move /etc/pam.d/ssh to /etc/pam.d/sshd, allowing us to stop defining
    SSHD_PAM_SERVICE (closes: #255870).

 -- Colin Watson <email address hidden> Wed, 13 Feb 2008 19:58:17 +0000

Changed in openssh:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers